diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-routing.cc ns-3.44/src/dsr/model/dsr-routing.cc
--- ns-3.43/src/dsr/model/dsr-routing.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/dsr/model/dsr-routing.cc	2025-03-09 16:55:49.371371000 -0700
@@ -326,7 +326,7 @@
                           MakeUintegerChecker<uint32_t>())
             .AddAttribute("MaxNetworkQueueDelay",
                           "The max time for a packet to stay in the network queue.",
-                          TimeValue(Seconds(30.0)),
+                          TimeValue(Seconds(30)),
                           MakeTimeAccessor(&DsrRouting::m_maxNetworkDelay),
                           MakeTimeChecker())
             .AddAttribute("NumPriorityQueues",
@@ -953,7 +953,7 @@
                     // m_downTarget (newPacket, m_mainAddress, nextHop, GetProtocolNumber (),
                     // m_ipv4Route);
 
-                    /// \todo New DsrNetworkQueueEntry
+                    /// @todo New DsrNetworkQueueEntry
                     DsrNetworkQueueEntry newEntry(newPacket,
                                                   m_mainAddress,
                                                   nextHop,
@@ -1444,7 +1444,7 @@
 
         // m_downTarget (newPacket, m_mainAddress, nextHop, GetProtocolNumber (), m_ipv4Route);
 
-        /// \todo New DsrNetworkQueueEntry
+        /// @todo New DsrNetworkQueueEntry
         DsrNetworkQueueEntry newEntry(newPacket,
                                       m_mainAddress,
                                       nextHop,
@@ -1494,7 +1494,7 @@
 
     // m_downTarget (packet, m_mainAddress, nextHop, GetProtocolNumber (), route);
 
-    /// \todo New DsrNetworkQueueEntry
+    /// @todo New DsrNetworkQueueEntry
     DsrNetworkQueueEntry newEntry(packet, m_mainAddress, nextHop, Simulator::Now(), route);
 
     if (dsrNetworkQueue->Enqueue(newEntry))
@@ -1732,7 +1732,7 @@
 
     // m_downTarget (packet, source, nextHop, GetProtocolNumber (), m_ipv4Route);
 
-    /// \todo New DsrNetworkQueueEntry
+    /// @todo New DsrNetworkQueueEntry
     DsrNetworkQueueEntry newEntry(packet, source, nextHop, Simulator::Now(), m_ipv4Route);
 
     if (dsrNetworkQueue->Enqueue(newEntry))
@@ -2072,7 +2072,7 @@
                     // m_downTarget (newPacket, m_mainAddress, nextHop, GetProtocolNumber (),
                     // m_ipv4Route);
 
-                    /// \todo New DsrNetworkQueueEntry
+                    /// @todo New DsrNetworkQueueEntry
                     DsrNetworkQueueEntry newEntry(newPacket,
                                                   m_mainAddress,
                                                   nextHop,
@@ -2508,7 +2508,7 @@
 
         // m_downTarget (p, m_mainAddress, nextHop, GetProtocolNumber (), m_ipv4Route);
 
-        /// \todo New DsrNetworkQueueEntry
+        /// @todo New DsrNetworkQueueEntry
         DsrNetworkQueueEntry newEntry(p, m_mainAddress, nextHop, Simulator::Now(), m_ipv4Route);
 
         if (dsrNetworkQueue->Enqueue(newEntry))
@@ -3293,7 +3293,7 @@
 
     // m_downTarget (packet, source, m_broadcast, GetProtocolNumber (), 0);
 
-    /// \todo New DsrNetworkQueueEntry
+    /// @todo New DsrNetworkQueueEntry
     DsrNetworkQueueEntry newEntry(packet, source, m_broadcast, Simulator::Now(), nullptr);
     if (dsrNetworkQueue->Enqueue(newEntry))
     {
@@ -3408,7 +3408,7 @@
 
     // m_downTarget (packet, source, nextHop, GetProtocolNumber (), route);
 
-    /// \todo New DsrNetworkQueueEntry
+    /// @todo New DsrNetworkQueueEntry
     DsrNetworkQueueEntry newEntry(packet, source, nextHop, Simulator::Now(), route);
     if (dsrNetworkQueue->Enqueue(newEntry))
     {
@@ -3493,7 +3493,7 @@
 
     // m_downTarget (packet, m_mainAddress, destination, GetProtocolNumber (), route);
 
-    /// \todo New DsrNetworkQueueEntry
+    /// @todo New DsrNetworkQueueEntry
     DsrNetworkQueueEntry newEntry(packet, m_mainAddress, destination, Simulator::Now(), route);
     if (dsrNetworkQueue->Enqueue(newEntry))
     {
